Index: backend/GlobeGuru-backend/src/main/java/DatabaseUtil.java
===================================================================
--- backend/GlobeGuru-backend/src/main/java/DatabaseUtil.java	(revision 1c51912fb1f62ebf47d6d4edd6b804c584bb0cb1)
+++ backend/GlobeGuru-backend/src/main/java/DatabaseUtil.java	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
@@ -151,5 +151,8 @@
                 "FROM options o " +
                 "LEFT JOIN optionDetails od ON o.id = od.optionId " +
-                "WHERE (o.country LIKE ? OR o.hotelName LIKE ?)";
+                "WHERE (o.country LIKE ? OR o.hotelName LIKE ?) " +
+                "AND od.type IS NOT NULL " +
+                "AND od.board IS NOT NULL " +
+                "AND od.price > 0";
 
         if (dateQuery != null && !dateQuery.isEmpty() && !dateFlag) {
@@ -200,4 +203,5 @@
         return options;
     }
+
 
 
Index: backend/GlobeGuru-backend/src/main/java/FrontendHandler.java
===================================================================
--- backend/GlobeGuru-backend/src/main/java/FrontendHandler.java	(revision 1c51912fb1f62ebf47d6d4edd6b804c584bb0cb1)
+++ backend/GlobeGuru-backend/src/main/java/FrontendHandler.java	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
@@ -130,5 +130,4 @@
             return;
         }
-
         Server.sendResponse(exchange, 200, mapper.writeValueAsString(options));
     }
Index: backend/GlobeGuru-backend/src/main/java/ScraperThread.java
===================================================================
--- backend/GlobeGuru-backend/src/main/java/ScraperThread.java	(revision 1c51912fb1f62ebf47d6d4edd6b804c584bb0cb1)
+++ backend/GlobeGuru-backend/src/main/java/ScraperThread.java	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
@@ -96,5 +96,6 @@
                             } else if (optionSet.add(option)) {
                                 uniqueOptions.add(option);
-                                DatabaseUtil.saveOptionToDatabase(option);
+                                option.setId(DatabaseUtil.saveOptionToDatabase(option));
+                                scrapeOptionInfo(option);
                                 System.out.println("Parsed " + option);
                             }
@@ -149,10 +150,9 @@
 
              String board = roomOption.select(".rezervacija-objekt").text();
-             if(board.length() > 2){
-                 board = board.substring(0,2);
+             if(board.length() > 2) {
+                 board = board.substring(0, 2);
              }
-             if(board.isEmpty() || type.isEmpty()){
-                 continue;
-             }
+             if(board.isEmpty() || type.isEmpty()) continue;
+
              Elements amenityElement = roomOption.select(".objekt-opis");
              String amenity = (amenityElement != null ? amenityElement.text() : "");
@@ -166,4 +166,35 @@
              DatabaseUtil.saveOptionDetails(option.getId(), type,board,amenity, price);
          }
+        }
+        else if(url.contains("booking.escapetravel.mk")){
+            System.out.println("Scraping info for " + url);
+
+            driver.get(url);
+            try { Thread.sleep(5000); } catch (InterruptedException e) { e.printStackTrace(); } //data fetch
+            String pageSource = driver.getPageSource();
+            Document doc = Jsoup.parse(pageSource);
+            Elements roomOptions = doc.select("#hotel-rooms-container .hotel-room-row");
+            for(Element roomOption : roomOptions){
+                String type = roomOption.select("td.align-middle").first().text();
+                String board = roomOption.select("td.align-middle.text-primary.lead").text();
+                if (board.isEmpty() || type.isEmpty())  continue;
+                String priceText = roomOption.select("td.align-middle.text-end .text-success.d-block.lead").text().replace("€", "").trim();
+                float price;
+                if (!priceText.isEmpty()) {
+                    price = Float.parseFloat(priceText.replace(",", ""));
+                } else continue;
+
+                Elements amenityElements = doc.select("div.row > div.col-6.col-md-3.col-xl-2");
+                StringBuilder amenities = new StringBuilder();
+                for (Element amenityElement : amenityElements) {
+                    amenities.append(amenityElement.text()).append(", ");
+                }
+                if (!amenities.isEmpty()) {
+                    amenities.setLength(amenities.length() - 2);
+                }
+                System.out.println(type + board + price + amenities);
+                DatabaseUtil.saveOptionDetails(option.getId(), type, board, amenities.toString(), price);
+            }
+
         }
     }
Index: backend/GlobeGuru-backend/src/main/java/Server.java
===================================================================
--- backend/GlobeGuru-backend/src/main/java/Server.java	(revision 1c51912fb1f62ebf47d6d4edd6b804c584bb0cb1)
+++ backend/GlobeGuru-backend/src/main/java/Server.java	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
@@ -196,12 +196,14 @@
 
     public static void sendResponse(HttpExchange exchange, int statusCode, String response) throws IOException {
+        byte[] responseBytes = response.getBytes(StandardCharsets.UTF_8);
         exchange.getResponseHeaders().add("Cross-Origin-Opener-Policy", "unsafe-none");
         exchange.getResponseHeaders().add("Cross-Origin-Embedder-Policy", "require-corp");
         exchange.getResponseHeaders().add("Content-Type", "application/json");
-        exchange.sendResponseHeaders(statusCode, response.length());
-        exchange.getResponseBody().write(response.getBytes());
-        exchange.getResponseBody().close();
-    }
-
+        exchange.getResponseHeaders().add("Transfer-Encoding", "chunked");
+        exchange.sendResponseHeaders(statusCode, 0);
+        try (OutputStream os = exchange.getResponseBody()) {
+            os.write(responseBytes);
+        }
+    }
 }
 
Index: backend/GlobeGuru-backend/src/main/resources/URLsJSON.json
===================================================================
--- backend/GlobeGuru-backend/src/main/resources/URLsJSON.json	(revision 1c51912fb1f62ebf47d6d4edd6b804c584bb0cb1)
+++ backend/GlobeGuru-backend/src/main/resources/URLsJSON.json	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
@@ -2,6 +2,6 @@
   "agencyurls":
           [
-            "https://magelantravel.mk/"
-
+            "https://magelantravel.mk/",
+            "https://booking.escapetravel.mk/"
           ]
 }
